Name: libstatgrab
Version: 0.14
Release: alt4.M40.1

Summary: Cross platform access to system statistics
License: LGPL, GPL
Group: System/Libraries

Url: http://www.i-scream.org/libstatgrab/
Source: %name-%version.tar
Patch: %name-alt-makefile.patch
Packager: Sergey Zhumatiy <zhum@altlinux.org>

%description
Statgrab is a crossplatform library to collect system information
such as load average, cpu/network/memory usage, etc

%package tools
Summary: Console program to check system activity
Group: Monitoring
Requires: %name = %version-%release

%description tools
Console program to check system activity using libstatgrab

%package devel
Summary: Headers for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Headers for building software that uses %name

%if_enabled static
%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static libs for building statically linked software that uses %name
%endif

%prep
%setup
%patch -p1

%build
%configure --disable-saidar %{subst_enable static}
make DESTDIR=%buildroot

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%_libdir/%name.a
%doc AUTHORS README NEWS

%files tools
#%_bindir/saidar
%_bindir/statgrab
%_bindir/statgrab-make-mrtg-config
%_bindir/statgrab-make-mrtg-index
%_man1dir/*

%files devel
%_libdir/*.so
%_includedir/*.h
%_man3dir/*
%_libdir/pkgconfig/libstatgrab.pc
#%_mandir/*/*

#%if_enabled static
#%files -n %name-devel-static
#
#%endif

%changelog
* Fri Jun 27 2008 Michael Shigorin <mike@altlinux.org> 0.14-alt4.M40.1
- built for M40
- minor spec cleanup

* Thu Jan 29 2008 Sergey Zhumatiy <zhum@altlinux.org> 0.14-alt5
- minor fixes

* Thu Jan 29 2008 Sergey Zhumatiy <zhum@altlinux.org> 0.14-alt4
- %_libdir/pkgconfig/libstatgrab.pc moved to devel package

* Thu Nov 15 2007 Sergey Zhumatiy <zhum@altlinux.org> 0.14-alt3
- saidar deleted from package because of unstable compiling

* Fri Oct 19 2007 Sergey Zhumatiy <zhum@altlinux.org> 0.14-alt2
- main pakage is splitted to libstatgrab and libstatgrab-tools

* Fri Oct 05 2007 Sergey Zhumatiy <zhum@altlinux.org> 0.14-alt1
- initial build

